/*
Copyright (c) 2005-2010 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this
 list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
* Neither the name of Nokia Corporation nor the names of its contributors
 may be used to endorse or promote products derived from this software
 without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Description: 
*/
 CDummyAnswer.cpp
//

#ifndef __CDUMMYANSWER_H__
#define __CDUMMYANSWER_H__

#include <e32base.h>
#include <e32cons.h>
#include <e32def.h>

#include "CISVAPIAsync.h"

/**
An active object that is activated by the call being picked up. Counts the
call's duration.
*/
class CDummyAnswer : public CActive
	{
public:
	static CDummyAnswer* NewL(MExecAsync* aController);
	~CDummyAnswer();

	void StartCount(TTimeIntervalMicroSeconds32 aDelay);

private:
	CDummyAnswer(MExecAsync* aController);
	void ConstructL();
	void ResetFirstTime();

	void ExampleComplete();

	void RunL();
	void DoCancel();

private:
	/**
	Set to ETrue the first time the example is run or when an active object
	request is cancelled.
	*/
	TBool iFirstTime;
	/**
	Pointer to console to which output is printed.
	*/
	CConsoleBase* iConsole;
	/**
	Timer for timing a call's duration.
	*/
	RTimer iTimer;
	/**
	Pointer to an MExecAsync object that owns this object.
	*/
	MExecAsync* iController;
	/**
	The duration of the current call (in seconds).
	*/
	TInt iCount;
	};

#endif // __CDUMMYANSWER_H__
